from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.1'
DESCRIPTION = 'Masry'
LONG_DESCRIPTION = 'A package that allows to calculate the techno-economical of geothermal systems.'

# Setting up
setup(
    name="masry",
    version=VERSION,
    author="hefnymah (Mahmoud Hefny)",
    author_email="<hefnymah@gmail.com>",
    description=DESCRIPTION,
    long_description=long_description,
    packages=find_packages(),
    install_requires=['scipy', 
                    'pandas', 
                    'CoolProp', 
                    'xlrd==1.2.0'],
    keywords=['geothermal', 'masy', 'power'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)
